- Qt 5.0
- QContactId Proxy Page
- Qt 5.0.0 Reference Documentation

# QContactId Proxy Page

## Functions

size_t | qHash(const QContactId &id)
bool | operator<(const QContactId &id1, const QContactId &id2)

## Function Documentation

### size_t qHash(const QContactId &id)

Returns the hash value for id.

### bool operator<(const QContactId &id1, const QContactId &id2)

Returns true if the contact ID id1 will be considered less than the contact ID id2 if the manager URI of ID id1 is alphabetically less than the manager URI of the id2 ID. If both IDs have the same manager URI, ID id1 will be considered less than the ID id2 if the the engine specific ID of id1 is less than the engine specific ID of id2.

The invalid, null contact ID consists of an empty manager URI and a null engine ID, and hence will be less than any valid, non-null contact ID.

This operator is provided primarily to allow use of a QContactId as a key in a QMap.